<?php

namespace Core\Http\View\Engine;


use Core\Http\View\Render;

class JsonEngine extends Render
{
    /**
     * @inheritDoc
     * @throws \Exception
     */
    public function render(): void
    {
        header('Content-Type: application/json; charset=utf-8');
        echo json_encode($this->data);
    }
}